# 
# Licensed Materials - Property of IBM
# Rational ClearQuest
# (C) Copyright IBM Corp. 1996, 2016. All Rights Reserved.
# 
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
# 
# ----------------------------------------------------------------
# --  THIS FILE IS GENERATED BY genscripts.pl.  DO NOT EDIT!!!  --
# ----------------------------------------------------------------
# 
# 



#################### masterschema_17.tempsql:

create table master_global (
	site_id SQL_INTEGER,
	site_name SQL_VARCHAR(5),
	set_name SQL_VARCHAR(SQL_MAXCHAR),
	metaschema_version SQL_INTEGER,
	next_master_id SQL_INTEGER,
	next_db_num SQL_INTEGER,
	next_schema_num SQL_INTEGER,
	check_timeout_interval SQL_INTEGER,
	timeout_interval SQL_INTEGER,
	db_locked SQL_INTEGER,
	db_locked_info SQL_VARCHAR(255),
	roll_user_ids_script SQL_LONGVARCHAR
);
vendor_filter SQL_SERVER;
grant all on master_global to cq_admin_rw_grp;
grant select on master_global to cq_admin_ro_grp;
end_vendor_filter;
create table master_users (
	master_dbid SQL_INTEGER,
	version SQL_INTEGER,
	login_name SQL_VARCHAR(30),
	encrypted_password SQL_VARCHAR(10),
	email SQL_VARCHAR(50),
	fullname SQL_VARCHAR(50),
	phone SQL_VARCHAR(50),
	misc_info SQL_VARCHAR(SQL_MAXCHAR),
	is_active SQL_INTEGER,
	is_superuser SQL_INTEGER,
	is_appbuilder SQL_INTEGER,
	is_user_maint SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on master_users to cq_admin_rw_grp;
grant select on master_users to cq_admin_ro_grp;
end_vendor_filter;
create table master_groups (
	master_dbid SQL_INTEGER,
	version SQL_INTEGER,
	name SQL_VARCHAR(30),
	is_active SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on master_groups to cq_admin_rw_grp;
grant select on master_groups to cq_admin_ro_grp;
end_vendor_filter;
create table master_links (
	master_dbid SQL_INTEGER,
	version SQL_INTEGER,
	link_type SQL_INTEGER,
	from_master_dbid SQL_INTEGER,
	to_master_dbid SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on master_links to cq_admin_rw_grp;
grant select on master_links to cq_admin_ro_grp;
end_vendor_filter;
create table master_dbs (
	master_dbid SQL_INTEGER,
	version SQL_INTEGER,
	db_num SQL_INTEGER,
	name SQL_VARCHAR(5),
	description SQL_VARCHAR(80),
	vendor SQL_INTEGER,
	server SQL_VARCHAR(30),
	database_name SQL_VARCHAR(255),
	table_prefix SQL_VARCHAR(100),
	metaschema_version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	schemarev_version SQL_INTEGER,
	initialized SQL_INTEGER,
	is_master SQL_INTEGER,
	is_deleted SQL_INTEGER,
	db_ownership SQL_INTEGER,
	is_visible SQL_INTEGER,
	f1 SQL_VARCHAR(255),
	f2 SQL_VARCHAR(255)
);
vendor_filter SQL_SERVER;
grant all on master_dbs to cq_admin_rw_grp;
grant select on master_dbs to cq_admin_ro_grp;
end_vendor_filter;
create table master_schemas (
	master_dbid SQL_INTEGER,
	version SQL_INTEGER,
	schema_num SQL_INTEGER,
	name SQL_VARCHAR(30),
	description SQL_VARCHAR(255),
	status SQL_INTEGER,
	checked_out_rev_dbid SQL_INTEGER,
	checked_out_login SQL_VARCHAR(30),
	origin_schema_id SQL_INTEGER,
	origin_schema_rev SQL_INTEGER,
	schema_ownership SQL_INTEGER,
	testdb_master_dbid SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on master_schemas to cq_admin_rw_grp;
grant select on master_schemas to cq_admin_ro_grp;
end_vendor_filter;
create table master_schemarevs (
	master_dbid SQL_INTEGER,
	version SQL_INTEGER,
	schema_dbid SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	schemarev_ownership SQL_INTEGER,
	description SQL_VARCHAR(255),
	metaschema_version SQL_INTEGER,
	next_meta_id SQL_INTEGER,
	next_part_id SQL_INTEGER,
	upgrade_script_id SQL_INTEGER,
	full_script_id SQL_INTEGER,
	roll_ids_script_id SQL_INTEGER,
	save_work_script_id SQL_INTEGER,
	last_mod_date SQL_TIMESTAMP
);
vendor_filter SQL_SERVER;
grant all on master_schemarevs to cq_admin_rw_grp;
grant select on master_schemarevs to cq_admin_ro_grp;
end_vendor_filter;
create table schemarev_texts (
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	id SQL_INTEGER,
	data SQL_LONGVARCHAR
);
vendor_filter SQL_SERVER;
grant all on schemarev_texts to cq_admin_rw_grp;
grant select on schemarev_texts to cq_admin_ro_grp;
end_vendor_filter;
create table schemarev_binaries (
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	id SQL_INTEGER,
	data SQL_LONGVARBINARY
);
vendor_filter SQL_SERVER;
grant all on schemarev_binaries to cq_admin_rw_grp;
grant select on schemarev_binaries to cq_admin_ro_grp;
end_vendor_filter;
create table master_usage (
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	table_name SQL_VARCHAR(30),
	id SQL_INTEGER,
	uses_schema_id SQL_INTEGER,
	uses_schema_rev SQL_INTEGER,
	change_type SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on master_usage to cq_admin_rw_grp;
grant select on master_usage to cq_admin_ro_grp;
end_vendor_filter;
insert into master_global (site_id, site_name, set_name, metaschema_version, next_master_id, next_db_num, next_schema_num, check_timeout_interval, timeout_interval,db_locked,db_locked_info) values (1,'MASTR', 'MASTR', 17,2,2,1,60000,14400000,0,NULL);


#################### masterix_17.tempsql:

create unique index master_users_id on master_users (master_dbid);
create unique index master_users_name on master_users (login_name);
create unique index master_groups_id on master_groups (master_dbid);
create unique index master_groups_name on master_groups (name);
create unique index master_links_id on master_links (master_dbid);
create unique index master_links_info on master_links (link_type, from_master_dbid, to_master_dbid);
create unique index master_dbs_ids on master_dbs (master_dbid);
create unique index master_dbs_name on master_dbs (name);
vendor_filter SQL_SERVER ORACLE MS_ACCESS;
create unique index master_schemas_name on master_schemas (name);
create unique index master_schemarevs_rev on master_schemarevs (schema_id, schema_rev);
create unique index schemarev_texts_ix on schemarev_texts (schema_id, schema_rev, id);
create unique index schemarev_binaries_ix on schemarev_binaries (schema_id, schema_rev, id);
create index master_usage_schema on master_usage (schema_id, schema_rev, table_name);
create index master_usage_id on master_usage (id);
end_vendor_filter;
vendor_filter DB2;
create unique index mast_schemas_name on master_schemas (name);
create unique index mast_schemarev_rev on master_schemarevs (schema_id, schema_rev);
create unique index schemarev_texts_ix on schemarev_texts (schema_id, schema_rev, id);
create unique index schemarev_binry_ix on schemarev_binaries (schema_id, schema_rev, id);
create index mast_usage_schema on master_usage (schema_id, schema_rev, table_name);
create index mast_usage_id on master_usage (id);
end_vendor_filter;


#################### mastermetaschema_17.tempsql:

create table m_entitydef (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	name SQL_VARCHAR(SQL_MAXCHAR),
	type SQL_INTEGER,
	entity_ownership SQL_INTEGER,
	default_formdef_id SQL_INTEGER,
	db_name SQL_VARCHAR(SQL_MAXCHAR),
	entity_select_proc SQL_VARCHAR(SQL_MAXCHAR),
	is_default SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on m_entitydef to cq_admin_rw_grp;
grant select on m_entitydef to cq_admin_ro_grp;
end_vendor_filter;
create table m_fielddef (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	name SQL_VARCHAR(SQL_MAXCHAR),
	description SQL_VARCHAR(SQL_MAXCHAR),
	entitydef_id SQL_INTEGER,
	type SQL_INTEGER,
	ref_entitydef_id SQL_INTEGER,
	ref_fielddef_id SQL_INTEGER,
	ref_role SQL_INTEGER,
	max_length SQL_INTEGER,
	choice_type SQL_INTEGER,
	choice_calc SQL_INTEGER,
	choice_listdef_id SQL_INTEGER,
	field_ownership SQL_INTEGER,
	is_visible SQL_INTEGER,
	db_name SQL_VARCHAR(SQL_MAXCHAR),
	permission_hookdef_id SQL_INTEGER,
	choicelist_hookdef_id SQL_INTEGER,
	default_value_hookdef_id SQL_INTEGER,
	validation_hookdef_id SQL_INTEGER,
	value_changed_hookdef_id SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on m_fielddef to cq_admin_rw_grp;
grant select on m_fielddef to cq_admin_ro_grp;
end_vendor_filter;
create table m_unique_key_def (
	id SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	entitydef_id SQL_INTEGER,
	fielddef_id SQL_INTEGER,
	sequence SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on m_unique_key_def to cq_admin_rw_grp;
grant select on m_unique_key_def to cq_admin_ro_grp;
end_vendor_filter;
create table m_statedef (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	name SQL_VARCHAR(SQL_MAXCHAR),
	entitydef_id SQL_INTEGER,
	ordinal SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on m_statedef to cq_admin_rw_grp;
grant select on m_statedef to cq_admin_ro_grp;
end_vendor_filter;
create table m_actiondef (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	name SQL_VARCHAR(SQL_MAXCHAR),
	description SQL_VARCHAR(SQL_MAXCHAR),
	entitydef_id SQL_INTEGER,
	formdef_id SQL_INTEGER,
	type SQL_INTEGER,
	dest_state_id SQL_INTEGER,
	access_control_hookdef_id SQL_INTEGER,
	initialization_hookdef_id SQL_INTEGER,
	validation_hookdef_id SQL_INTEGER,
	commit_hookdef_id SQL_INTEGER,
	notification_hookdef_id SQL_INTEGER,
	is_enabled SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on m_actiondef to cq_admin_rw_grp;
grant select on m_actiondef to cq_admin_ro_grp;
end_vendor_filter;
create table m_state_legal_action (
	id SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	statedef_id SQL_INTEGER,
	actiondef_id SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on m_state_legal_action to cq_admin_rw_grp;
grant select on m_state_legal_action to cq_admin_ro_grp;
end_vendor_filter;
create table m_actiondef_usergroups (
	id SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	actiondef_id SQL_INTEGER,
	usergroup_pattern SQL_VARCHAR(SQL_MAXCHAR)
);
vendor_filter SQL_SERVER;
grant all on m_actiondef_usergroups to cq_admin_rw_grp;
grant select on m_actiondef_usergroups to cq_admin_ro_grp;
end_vendor_filter;
create table m_field_status_def (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	statedef_id SQL_INTEGER,
	fielddef_id SQL_INTEGER,
	requiredness SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on m_field_status_def to cq_admin_rw_grp;
grant select on m_field_status_def to cq_admin_ro_grp;
end_vendor_filter;
create table m_hookdef (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	name SQL_VARCHAR(SQL_MAXCHAR),
	hook_owner_type SQL_INTEGER,
	field_hook_type SQL_INTEGER,
	action_hook_type SQL_INTEGER,
	entity_hook_type SQL_INTEGER,
	session_hook_type SQL_INTEGER,
	hook_owner_id SQL_INTEGER,
	language SQL_INTEGER,
	is_enabled SQL_INTEGER,
	program SQL_LONGVARCHAR
);
vendor_filter SQL_SERVER;
grant all on m_hookdef to cq_admin_rw_grp;
grant select on m_hookdef to cq_admin_ro_grp;
end_vendor_filter;
create table m_formdef (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	name SQL_VARCHAR(SQL_MAXCHAR),
	entitydef_id SQL_INTEGER,
	is_default SQL_INTEGER,
	form_blob SQL_LONGVARBINARY
);
vendor_filter SQL_SERVER;
grant all on m_formdef to cq_admin_rw_grp;
grant select on m_formdef to cq_admin_ro_grp;
end_vendor_filter;
create table m_blobdef (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	blob_ownership SQL_INTEGER,
	parent_table_name SQL_VARCHAR(30),
	parent_id SQL_INTEGER,
	name SQL_VARCHAR(SQL_MAXCHAR)
);
vendor_filter SQL_SERVER;
grant all on m_blobdef to cq_admin_rw_grp;
grant select on m_blobdef to cq_admin_ro_grp;
end_vendor_filter;
create table m_listdef (
	id SQL_INTEGER,
	version SQL_INTEGER,
	schema_id SQL_INTEGER,
	schema_rev SQL_INTEGER,
	name SQL_VARCHAR(SQL_MAXCHAR),
	description SQL_VARCHAR(SQL_MAXCHAR),
	is_visible SQL_INTEGER
);
vendor_filter SQL_SERVER;
grant all on m_listdef to cq_admin_rw_grp;
grant select on m_listdef to cq_admin_ro_grp;
end_vendor_filter;


#################### mastermetaix_17.tempsql:

create unique index m_entitydef_id on m_entitydef (schema_id, schema_rev, id);
create unique index m_fielddef_id on m_fielddef (schema_id, schema_rev, id);
create unique index m_statedef_id on m_statedef (schema_id, schema_rev, id);
create unique index m_actiondef_id on m_actiondef (schema_id, schema_rev, id);
create unique index m_hookdef_id on m_hookdef (schema_id, schema_rev,id);
create unique index m_formdef_id on m_formdef (schema_id, schema_rev,id);
create unique index m_blobdef_id on m_blobdef (schema_id, schema_rev,id);
vendor_filter SQL_SERVER ORACLE MS_ACCESS;
create unique index m_unique_key_def_id on m_unique_key_def (schema_id, schema_rev, entitydef_id, sequence);
create unique index m_state_legal_action_id on m_state_legal_action (schema_id, schema_rev,statedef_id, actiondef_id);
create index m_actiondef_usergroups_act on m_actiondef_usergroups (schema_id, schema_rev,actiondef_id);
create unique index m_field_status_def_id on m_field_status_def (schema_id, schema_rev,id);
end_vendor_filter;
vendor_filter DB2;
create unique index m_uniq_key_def_id on m_unique_key_def (schema_id, schema_rev, entitydef_id, sequence);
create unique index m_state_leg_act_id on m_state_legal_action (schema_id, schema_rev,statedef_id, actiondef_id);
create index m_actdef_userg_act on m_actiondef_usergroups (schema_id, schema_rev,actiondef_id);
create unique index m_fld_stat_def_id on m_field_status_def (schema_id, schema_rev,id);
end_vendor_filter;
